FAQ
Hi guys,

I'm drawing a blank on this one. I'm trying to upload version 0.46 of
Geo::Coder::Many to CPAN via PAUSE and I got the following error:

----------------------------------------------

   User: KAORU (Alex Balhatchet)
   Distribution file: Geo-Coder-Many-0.46.tar.gz
   Number of files: 34
   *.pm files: 18
   README: Geo-Coder-Many-0.46/README
   META-File: Geo-Coder-Many-0.46/META.json
   META-Parser: Parse::CPAN::Meta 1.4404
   META-driven index: no
   Timestamp of file: Wed Jun 4 14:42:57 2014 UTC
   Time of this run: Wed Jun 4 14:44:37 2014 UTC

Status of this distro: Decreasing version number
=================================

      module : Geo::Coder::Many::Generic
      version: undef
      in file: Geo-Coder-Many-0.46/lib/Geo/Coder/Many/Generic.pm
      status : Not indexed because lib/Geo/Coder/Many/Generic.pm in
              K/KA/KAORU/Geo-Coder-Many-0.45.tar.gz has a higher version
              number (0)
...

      module : Geo::Coder::Many::Util
      version: undef
      in file: Geo-Coder-Many-0.46/lib/Geo/Coder/Many/Util.pm
      status : Not indexed because lib/Geo/Coder/Many/Util.pm in
              K/KA/KAORU/Geo-Coder-Many-0.45.tar.gz has a higher version
              number (0)

Status: Successfully indexed
============================

      module : Geo::Coder::Many
      version: 0.46
      in file: Geo-Coder-Many-0.46/lib/Geo/Coder/Many.pm
      status : indexed

...

     module : Geo::Coder::Many::PlaceFinder
      version: 0.03
      in file: Geo-Coder-Many-0.46/lib/Geo/Coder/Many/PlaceFinder.pm
      status : indexed

__END__

----------------------------------------------

I haven't touched Geo::Coder::Many::Generic between version 0.45 and
0.46, and the error message appears to be that "0 > undef", which is
super weird. Geo-Coder-Many 0.45 doesn't have a version of 0 listed
for Geo::Coder::Many::Generic.

https://metacpan.org/source/KAORU/Geo-Coder-Many-0.45/lib/Geo/Coder/Many/Generic.pm

Could this be a bug with PAUSE, or am I doing something bone-headed?

The 0.46 source is here:

https://github.com/lokku/Geo-Coder-Many

Any help would be much appreciated. Thanks,

- Alex

Search Discussions

  • Fields, Christopher J at Jun 4, 2014 at 3:28 pm
    We ran into a similar issue, though it was our (bioperl) fault. We had a version assigned through some hackery involving a common root module that worked over the years, but recent Module::Build and CPAN updates seemingly broke it, so now everything is undef (not present in META.yml at least). We’re basically working on defining the versions explicitly in META.yml now.

    chris
    On Jun 4, 2014, at 10:05 AM, Alex Balhatchet wrote:

    Hi guys,

    I'm drawing a blank on this one. I'm trying to upload version 0.46 of
    Geo::Coder::Many to CPAN via PAUSE and I got the following error:

    ----------------------------------------------

    User: KAORU (Alex Balhatchet)
    Distribution file: Geo-Coder-Many-0.46.tar.gz
    Number of files: 34
    *.pm files: 18
    README: Geo-Coder-Many-0.46/README
    META-File: Geo-Coder-Many-0.46/META.json
    META-Parser: Parse::CPAN::Meta 1.4404
    META-driven index: no
    Timestamp of file: Wed Jun 4 14:42:57 2014 UTC
    Time of this run: Wed Jun 4 14:44:37 2014 UTC

    Status of this distro: Decreasing version number
    =================================

    module : Geo::Coder::Many::Generic
    version: undef
    in file: Geo-Coder-Many-0.46/lib/Geo/Coder/Many/Generic.pm
    status : Not indexed because lib/Geo/Coder/Many/Generic.pm in
    K/KA/KAORU/Geo-Coder-Many-0.45.tar.gz has a higher version
    number (0)
    ...

    module : Geo::Coder::Many::Util
    version: undef
    in file: Geo-Coder-Many-0.46/lib/Geo/Coder/Many/Util.pm
    status : Not indexed because lib/Geo/Coder/Many/Util.pm in
    K/KA/KAORU/Geo-Coder-Many-0.45.tar.gz has a higher version
    number (0)

    Status: Successfully indexed
    ============================

    module : Geo::Coder::Many
    version: 0.46
    in file: Geo-Coder-Many-0.46/lib/Geo/Coder/Many.pm
    status : indexed

    ...

    module : Geo::Coder::Many::PlaceFinder
    version: 0.03
    in file: Geo-Coder-Many-0.46/lib/Geo/Coder/Many/PlaceFinder.pm
    status : indexed

    __END__

    ----------------------------------------------

    I haven't touched Geo::Coder::Many::Generic between version 0.45 and
    0.46, and the error message appears to be that "0 > undef", which is
    super weird. Geo-Coder-Many 0.45 doesn't have a version of 0 listed
    for Geo::Coder::Many::Generic.

    https://metacpan.org/source/KAORU/Geo-Coder-Many-0.45/lib/Geo/Coder/Many/Generic.pm

    Could this be a bug with PAUSE, or am I doing something bone-headed?

    The 0.46 source is here:

    https://github.com/lokku/Geo-Coder-Many

    Any help would be much appreciated. Thanks,

    - Alex
  • Alex Balhatchet at Jun 4, 2014 at 3:46 pm
    Hi Christopher,

    Ah, that's interesting. I did actually add a META.yml file since the
    last upload so maybe that's my problem.

    I'm going to try re-generating my META.yml and generating a META.json file...

    Hopefully the fix:
    https://github.com/lokku/Geo-Coder-Many/commit/db100eaddfc657a9b5f6da278259f350159d846c

    ... Nope, still broken :-(

    Ok now I really am going to give up and give them all version numbers!

    - Alex

    On 4 June 2014 16:27, Fields, Christopher J wrote:
    We ran into a similar issue, though it was our (bioperl) fault. We had a version assigned through some hackery involving a common root module that worked over the years, but recent Module::Build and CPAN updates seemingly broke it, so now everything is undef (not present in META.yml at least). We’re basically working on defining the versions explicitly in META.yml now.

    chris
    On Jun 4, 2014, at 10:05 AM, Alex Balhatchet wrote:

    Hi guys,

    I'm drawing a blank on this one. I'm trying to upload version 0.46 of
    Geo::Coder::Many to CPAN via PAUSE and I got the following error:

    ----------------------------------------------

    User: KAORU (Alex Balhatchet)
    Distribution file: Geo-Coder-Many-0.46.tar.gz
    Number of files: 34
    *.pm files: 18
    README: Geo-Coder-Many-0.46/README
    META-File: Geo-Coder-Many-0.46/META.json
    META-Parser: Parse::CPAN::Meta 1.4404
    META-driven index: no
    Timestamp of file: Wed Jun 4 14:42:57 2014 UTC
    Time of this run: Wed Jun 4 14:44:37 2014 UTC

    Status of this distro: Decreasing version number
    =================================

    module : Geo::Coder::Many::Generic
    version: undef
    in file: Geo-Coder-Many-0.46/lib/Geo/Coder/Many/Generic.pm
    status : Not indexed because lib/Geo/Coder/Many/Generic.pm in
    K/KA/KAORU/Geo-Coder-Many-0.45.tar.gz has a higher version
    number (0)
    ...

    module : Geo::Coder::Many::Util
    version: undef
    in file: Geo-Coder-Many-0.46/lib/Geo/Coder/Many/Util.pm
    status : Not indexed because lib/Geo/Coder/Many/Util.pm in
    K/KA/KAORU/Geo-Coder-Many-0.45.tar.gz has a higher version
    number (0)

    Status: Successfully indexed
    ============================

    module : Geo::Coder::Many
    version: 0.46
    in file: Geo-Coder-Many-0.46/lib/Geo/Coder/Many.pm
    status : indexed

    ...

    module : Geo::Coder::Many::PlaceFinder
    version: 0.03
    in file: Geo-Coder-Many-0.46/lib/Geo/Coder/Many/PlaceFinder.pm
    status : indexed

    __END__

    ----------------------------------------------

    I haven't touched Geo::Coder::Many::Generic between version 0.45 and
    0.46, and the error message appears to be that "0 > undef", which is
    super weird. Geo-Coder-Many 0.45 doesn't have a version of 0 listed
    for Geo::Coder::Many::Generic.

    https://metacpan.org/source/KAORU/Geo-Coder-Many-0.45/lib/Geo/Coder/Many/Generic.pm

    Could this be a bug with PAUSE, or am I doing something bone-headed?

    The 0.46 source is here:

    https://github.com/lokku/Geo-Coder-Many

    Any help would be much appreciated. Thanks,

    - Alex
  • Alex Balhatchet at Jun 4, 2014 at 3:49 pm
    Oh wait!

    I built the distribution with ExtUtils::MakeMaker which built its own
    META.yml which is wrong... if I build the distribution with:

    $ perl Build.PL
    $ ./Build dist

    Then the META.* files are correct and might work. Fingers crossed
    again... fourth time is the charm?

    - Alex
    On 4 June 2014 16:45, Alex Balhatchet wrote:
    Hi Christopher,

    Ah, that's interesting. I did actually add a META.yml file since the
    last upload so maybe that's my problem.

    I'm going to try re-generating my META.yml and generating a META.json file...

    Hopefully the fix:
    https://github.com/lokku/Geo-Coder-Many/commit/db100eaddfc657a9b5f6da278259f350159d846c

    ... Nope, still broken :-(

    Ok now I really am going to give up and give them all version numbers!

    - Alex

    On 4 June 2014 16:27, Fields, Christopher J wrote:
    We ran into a similar issue, though it was our (bioperl) fault. We had a version assigned through some hackery involving a common root module that worked over the years, but recent Module::Build and CPAN updates seemingly broke it, so now everything is undef (not present in META.yml at least). We’re basically working on defining the versions explicitly in META.yml now.

    chris
    On Jun 4, 2014, at 10:05 AM, Alex Balhatchet wrote:

    Hi guys,

    I'm drawing a blank on this one. I'm trying to upload version 0.46 of
    Geo::Coder::Many to CPAN via PAUSE and I got the following error:

    ----------------------------------------------

    User: KAORU (Alex Balhatchet)
    Distribution file: Geo-Coder-Many-0.46.tar.gz
    Number of files: 34
    *.pm files: 18
    README: Geo-Coder-Many-0.46/README
    META-File: Geo-Coder-Many-0.46/META.json
    META-Parser: Parse::CPAN::Meta 1.4404
    META-driven index: no
    Timestamp of file: Wed Jun 4 14:42:57 2014 UTC
    Time of this run: Wed Jun 4 14:44:37 2014 UTC

    Status of this distro: Decreasing version number
    =================================

    module : Geo::Coder::Many::Generic
    version: undef
    in file: Geo-Coder-Many-0.46/lib/Geo/Coder/Many/Generic.pm
    status : Not indexed because lib/Geo/Coder/Many/Generic.pm in
    K/KA/KAORU/Geo-Coder-Many-0.45.tar.gz has a higher version
    number (0)
    ...

    module : Geo::Coder::Many::Util
    version: undef
    in file: Geo-Coder-Many-0.46/lib/Geo/Coder/Many/Util.pm
    status : Not indexed because lib/Geo/Coder/Many/Util.pm in
    K/KA/KAORU/Geo-Coder-Many-0.45.tar.gz has a higher version
    number (0)

    Status: Successfully indexed
    ============================

    module : Geo::Coder::Many
    version: 0.46
    in file: Geo-Coder-Many-0.46/lib/Geo/Coder/Many.pm
    status : indexed

    ...

    module : Geo::Coder::Many::PlaceFinder
    version: 0.03
    in file: Geo-Coder-Many-0.46/lib/Geo/Coder/Many/PlaceFinder.pm
    status : indexed

    __END__

    ----------------------------------------------

    I haven't touched Geo::Coder::Many::Generic between version 0.45 and
    0.46, and the error message appears to be that "0 > undef", which is
    super weird. Geo-Coder-Many 0.45 doesn't have a version of 0 listed
    for Geo::Coder::Many::Generic.

    https://metacpan.org/source/KAORU/Geo-Coder-Many-0.45/lib/Geo/Coder/Many/Generic.pm

    Could this be a bug with PAUSE, or am I doing something bone-headed?

    The 0.46 source is here:

    https://github.com/lokku/Geo-Coder-Many

    Any help would be much appreciated. Thanks,

    - Alex
  • Alex Balhatchet at Jun 4, 2014 at 3:53 pm
    Still no luck.

          module : Geo::Coder::Many::Generic
          version: undef
          in file: lib/Geo/Coder/Many/Generic.pm
          status : Not indexed because lib/Geo/Coder/Many/Generic.pm in
                  K/KA/KAORU/Geo-Coder-Many-0.45.tar.gz has a higher version
                  number (0)

    Ok, giving up and version numbers, as I keep threatening :-P Sorry for
    the spam to the list as I think aloud. I hope it's educational to
    somebody reading anyway :-)

    - Alex
    On 4 June 2014 16:48, Alex Balhatchet wrote:
    Oh wait!

    I built the distribution with ExtUtils::MakeMaker which built its own
    META.yml which is wrong... if I build the distribution with:

    $ perl Build.PL
    $ ./Build dist

    Then the META.* files are correct and might work. Fingers crossed
    again... fourth time is the charm?

    - Alex
    On 4 June 2014 16:45, Alex Balhatchet wrote:
    Hi Christopher,

    Ah, that's interesting. I did actually add a META.yml file since the
    last upload so maybe that's my problem.

    I'm going to try re-generating my META.yml and generating a META.json file...

    Hopefully the fix:
    https://github.com/lokku/Geo-Coder-Many/commit/db100eaddfc657a9b5f6da278259f350159d846c

    ... Nope, still broken :-(

    Ok now I really am going to give up and give them all version numbers!

    - Alex

    On 4 June 2014 16:27, Fields, Christopher J wrote:
    We ran into a similar issue, though it was our (bioperl) fault. We had a version assigned through some hackery involving a common root module that worked over the years, but recent Module::Build and CPAN updates seemingly broke it, so now everything is undef (not present in META.yml at least). We’re basically working on defining the versions explicitly in META.yml now.

    chris
    On Jun 4, 2014, at 10:05 AM, Alex Balhatchet wrote:

    Hi guys,

    I'm drawing a blank on this one. I'm trying to upload version 0.46 of
    Geo::Coder::Many to CPAN via PAUSE and I got the following error:

    ----------------------------------------------

    User: KAORU (Alex Balhatchet)
    Distribution file: Geo-Coder-Many-0.46.tar.gz
    Number of files: 34
    *.pm files: 18
    README: Geo-Coder-Many-0.46/README
    META-File: Geo-Coder-Many-0.46/META.json
    META-Parser: Parse::CPAN::Meta 1.4404
    META-driven index: no
    Timestamp of file: Wed Jun 4 14:42:57 2014 UTC
    Time of this run: Wed Jun 4 14:44:37 2014 UTC

    Status of this distro: Decreasing version number
    =================================

    module : Geo::Coder::Many::Generic
    version: undef
    in file: Geo-Coder-Many-0.46/lib/Geo/Coder/Many/Generic.pm
    status : Not indexed because lib/Geo/Coder/Many/Generic.pm in
    K/KA/KAORU/Geo-Coder-Many-0.45.tar.gz has a higher version
    number (0)
    ...

    module : Geo::Coder::Many::Util
    version: undef
    in file: Geo-Coder-Many-0.46/lib/Geo/Coder/Many/Util.pm
    status : Not indexed because lib/Geo/Coder/Many/Util.pm in
    K/KA/KAORU/Geo-Coder-Many-0.45.tar.gz has a higher version
    number (0)

    Status: Successfully indexed
    ============================

    module : Geo::Coder::Many
    version: 0.46
    in file: Geo-Coder-Many-0.46/lib/Geo/Coder/Many.pm
    status : indexed

    ...

    module : Geo::Coder::Many::PlaceFinder
    version: 0.03
    in file: Geo-Coder-Many-0.46/lib/Geo/Coder/Many/PlaceFinder.pm
    status : indexed

    __END__

    ----------------------------------------------

    I haven't touched Geo::Coder::Many::Generic between version 0.45 and
    0.46, and the error message appears to be that "0 > undef", which is
    super weird. Geo-Coder-Many 0.45 doesn't have a version of 0 listed
    for Geo::Coder::Many::Generic.

    https://metacpan.org/source/KAORU/Geo-Coder-Many-0.45/lib/Geo/Coder/Many/Generic.pm

    Could this be a bug with PAUSE, or am I doing something bone-headed?

    The 0.46 source is here:

    https://github.com/lokku/Geo-Coder-Many

    Any help would be much appreciated. Thanks,

    - Alex
  • Alex Balhatchet at Jun 4, 2014 at 4:03 pm
    "Status of this distro: OK"

    No idea why it broke, but at least it's fixed.

    https://github.com/lokku/Geo-Coder-Many/commit/9e3bde1e042fbfa70775b9d51a79d1368f95fd78

    Thanks again for all the help guys.

    - Alex
    On 4 June 2014 16:53, Alex Balhatchet wrote:
    Still no luck.

    module : Geo::Coder::Many::Generic
    version: undef
    in file: lib/Geo/Coder/Many/Generic.pm
    status : Not indexed because lib/Geo/Coder/Many/Generic.pm in
    K/KA/KAORU/Geo-Coder-Many-0.45.tar.gz has a higher version
    number (0)

    Ok, giving up and version numbers, as I keep threatening :-P Sorry for
    the spam to the list as I think aloud. I hope it's educational to
    somebody reading anyway :-)

    - Alex
    On 4 June 2014 16:48, Alex Balhatchet wrote:
    Oh wait!

    I built the distribution with ExtUtils::MakeMaker which built its own
    META.yml which is wrong... if I build the distribution with:

    $ perl Build.PL
    $ ./Build dist

    Then the META.* files are correct and might work. Fingers crossed
    again... fourth time is the charm?

    - Alex
    On 4 June 2014 16:45, Alex Balhatchet wrote:
    Hi Christopher,

    Ah, that's interesting. I did actually add a META.yml file since the
    last upload so maybe that's my problem.

    I'm going to try re-generating my META.yml and generating a META.json file...

    Hopefully the fix:
    https://github.com/lokku/Geo-Coder-Many/commit/db100eaddfc657a9b5f6da278259f350159d846c

    ... Nope, still broken :-(

    Ok now I really am going to give up and give them all version numbers!

    - Alex

    On 4 June 2014 16:27, Fields, Christopher J wrote:
    We ran into a similar issue, though it was our (bioperl) fault. We had a version assigned through some hackery involving a common root module that worked over the years, but recent Module::Build and CPAN updates seemingly broke it, so now everything is undef (not present in META.yml at least). We’re basically working on defining the versions explicitly in META.yml now.

    chris
    On Jun 4, 2014, at 10:05 AM, Alex Balhatchet wrote:

    Hi guys,

    I'm drawing a blank on this one. I'm trying to upload version 0.46 of
    Geo::Coder::Many to CPAN via PAUSE and I got the following error:

    ----------------------------------------------

    User: KAORU (Alex Balhatchet)
    Distribution file: Geo-Coder-Many-0.46.tar.gz
    Number of files: 34
    *.pm files: 18
    README: Geo-Coder-Many-0.46/README
    META-File: Geo-Coder-Many-0.46/META.json
    META-Parser: Parse::CPAN::Meta 1.4404
    META-driven index: no
    Timestamp of file: Wed Jun 4 14:42:57 2014 UTC
    Time of this run: Wed Jun 4 14:44:37 2014 UTC

    Status of this distro: Decreasing version number
    =================================

    module : Geo::Coder::Many::Generic
    version: undef
    in file: Geo-Coder-Many-0.46/lib/Geo/Coder/Many/Generic.pm
    status : Not indexed because lib/Geo/Coder/Many/Generic.pm in
    K/KA/KAORU/Geo-Coder-Many-0.45.tar.gz has a higher version
    number (0)
    ...

    module : Geo::Coder::Many::Util
    version: undef
    in file: Geo-Coder-Many-0.46/lib/Geo/Coder/Many/Util.pm
    status : Not indexed because lib/Geo/Coder/Many/Util.pm in
    K/KA/KAORU/Geo-Coder-Many-0.45.tar.gz has a higher version
    number (0)

    Status: Successfully indexed
    ============================

    module : Geo::Coder::Many
    version: 0.46
    in file: Geo-Coder-Many-0.46/lib/Geo/Coder/Many.pm
    status : indexed

    ...

    module : Geo::Coder::Many::PlaceFinder
    version: 0.03
    in file: Geo-Coder-Many-0.46/lib/Geo/Coder/Many/PlaceFinder.pm
    status : indexed

    __END__

    ----------------------------------------------

    I haven't touched Geo::Coder::Many::Generic between version 0.45 and
    0.46, and the error message appears to be that "0 > undef", which is
    super weird. Geo-Coder-Many 0.45 doesn't have a version of 0 listed
    for Geo::Coder::Many::Generic.

    https://metacpan.org/source/KAORU/Geo-Coder-Many-0.45/lib/Geo/Coder/Many/Generic.pm

    Could this be a bug with PAUSE, or am I doing something bone-headed?

    The 0.46 source is here:

    https://github.com/lokku/Geo-Coder-Many

    Any help would be much appreciated. Thanks,

    - Alex

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
groupmodule-authors @
categoriesperl
postedJun 4, '14 at 3:06p
activeJun 4, '14 at 4:03p
posts6
users2
websitecpan.org...

People

Translate

site design / logo © 2019 Grokbase